.. _str: https://docs.python.org/2/library/stdtypes.html

.. _long: https://docs.python.org/2/library/stdtypes.html

.. _vim.fault.VimFault: ../../vim/fault/VimFault.rst


vim.fault.NamespaceFull
=======================
    :extends:

        `vim.fault.VimFault`_

  A NamespaceFull fault is thrown when an operation on namespace requires more space to complete.

Attributes:

    name (`str`_)

    currentMaxSize (`long`_)

    requiredSize (`long`_): is optional.




